Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionFormBeans

    java.lang.Object
      |
      +--org.apache.struts.action.ActionFormBeans

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Replaced by collection of FormBeanConfig instances in `ModuleConfig`

public class ActionFormBeans
extends java.lang.Object
implements java.io.Serializable

Encapsulate a collection of ActionFormBean objects that can be administered and searched, while hiding the internal implementation.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.collections.FastHashMap` | `formBeans` Deprecated. The collection of ActionFormBean instances, keyed by name.

Constructor Summary
`ActionFormBeans()` Deprecated.

Method Summary
`void` | `addFormBean(ActionFormBean formBean)` Deprecated. Register a form bean to the set configured for this servlet.
`ActionFormBean` | `findFormBean(java.lang.String name)` Deprecated. Return the formBean associated with the specified logical name, if any; otherwise return `null`.
`java.lang.String[]` | `findFormBeans()` Deprecated. Return the set of names for form beans defined in this collection.
`boolean` | `getFast()` Deprecated. Return the "fast" mode flag.
`void` | `removeFormBean(ActionFormBean formBean)` Deprecated. Deregister a formBean from the set configured for this servlet.
`void` | `setFast(boolean fast)` Deprecated. Set the "fast" mode flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formBeans

    protected org.apache.commons.collections.FastHashMap formBeans

  Deprecated.
  The collection of ActionFormBean instances, keyed by name.

Constructor Detail

### ActionFormBeans

    public ActionFormBeans()

  Deprecated.

Method Detail

### getFast

    public boolean getFast()

  Deprecated.
  Return the "fast" mode flag.

### setFast

    public void setFast(boolean fast)

  Deprecated.
  Set the "fast" mode flag.

  Parameters:
    `fast` - The new fast mode flag

### addFormBean

    public void addFormBean(ActionFormBean formBean)

  Deprecated.
  Register a form bean to the set configured for this servlet.

  Parameters:
    `formBean` - The formBean to be added

### findFormBean

    public ActionFormBean findFormBean(java.lang.String name)

  Deprecated.
  Return the formBean associated with the specified logical name, if any; otherwise return `null`.

  Parameters:
    `name` - Logical name of the desired form bean

### findFormBeans

    public java.lang.String[] findFormBeans()

  Deprecated.
  Return the set of names for form beans defined in this collection. If there are no such formBeans, a zero-length array is returned.

### removeFormBean

    public void removeFormBean(ActionFormBean formBean)

  Deprecated.
  Deregister a formBean from the set configured for this servlet.

  Parameters:
    `formBean` - The formBean to be deregistered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation